[arch-commits] Commit in gjs/repos (4 files)

Jan de Groot jgc at archlinux.org
Thu Apr 13 13:35:49 UTC 2017


    Date: Thursday, April 13, 2017 @ 13:35:48
  Author: jgc
Revision: 292690

archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64

Added:
  gjs/repos/gnome-unstable-i686/PKGBUILD
    (from rev 292689, gjs/trunk/PKGBUILD)
  gjs/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 292689, gjs/trunk/PKGBUILD)
Deleted:
  gjs/repos/gnome-unstable-i686/PKGBUILD
  gjs/repos/gnome-unstable-x86_64/PKGBUILD

--------------------------------+
 /PKGBUILD                      |   88 +++++++++++++++++++++++++++++++++++++++
 gnome-unstable-i686/PKGBUILD   |   44 -------------------
 gnome-unstable-x86_64/PKGBUILD |   44 -------------------
 3 files changed, 88 insertions(+), 88 deletions(-)

Deleted: gnome-unstable-i686/PKGBUILD
===================================================================
--- gnome-unstable-i686/PKGBUILD	2017-04-13 13:35:42 UTC (rev 292689)
+++ gnome-unstable-i686/PKGBUILD	2017-04-13 13:35:48 UTC (rev 292690)
@@ -1,44 +0,0 @@
-# $Id$
-# Maintainer: Ionut Biru <ibiru at archlinux.org>
-
-pkgname=gjs
-pkgver=1.48.0+5+ga6f0735
-pkgrel=1
-pkgdesc="Javascript Bindings for GNOME"
-arch=(i686 x86_64)
-url="http://live.gnome.org/Gjs"
-license=(GPL)
-depends=(cairo gobject-introspection-runtime 'js38' 'gtk3')
-makedepends=('gobject-introspection' 'git' 'gnome-common')
-_commit=a6f07354a1c6f58d78585be9edefb393c4ca8584  # master
-source=("git://git.gnome.org/gjs#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-  NOCONFIGURE=1 ./autogen.sh
-}
-  
-
-build() {
-  cd $pkgname
-  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-  make
-}
-
-check() {
-  cd $pkgname
-  # Needs a display
-  make -k check || :
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-}

Copied: gjs/repos/gnome-unstable-i686/PKGBUILD (from rev 292689, gjs/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-i686/PKGBUILD	                        (rev 0)
+++ gnome-unstable-i686/PKGBUILD	2017-04-13 13:35:48 UTC (rev 292690)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gjs
+pkgver=1.48.1+1+gced4c15
+pkgrel=1
+pkgdesc="Javascript Bindings for GNOME"
+arch=(i686 x86_64)
+url="http://live.gnome.org/Gjs"
+license=(GPL)
+depends=(cairo gobject-introspection-runtime 'js38' 'gtk3')
+makedepends=('gobject-introspection' 'git' 'gnome-common')
+_commit=ced4c15fc2f308e1e75281261d3ca9911606c337  # gnome-3-24
+source=("git://git.gnome.org/gjs#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+  
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}

Deleted: gnome-unstable-x86_64/PKGBUILD
===================================================================
--- gnome-unstable-x86_64/PKGBUILD	2017-04-13 13:35:42 UTC (rev 292689)
+++ gnome-unstable-x86_64/PKGBUILD	2017-04-13 13:35:48 UTC (rev 292690)
@@ -1,44 +0,0 @@
-# $Id$
-# Maintainer: Ionut Biru <ibiru at archlinux.org>
-
-pkgname=gjs
-pkgver=1.48.0+5+ga6f0735
-pkgrel=1
-pkgdesc="Javascript Bindings for GNOME"
-arch=(i686 x86_64)
-url="http://live.gnome.org/Gjs"
-license=(GPL)
-depends=(cairo gobject-introspection-runtime 'js38' 'gtk3')
-makedepends=('gobject-introspection' 'git' 'gnome-common')
-_commit=a6f07354a1c6f58d78585be9edefb393c4ca8584  # master
-source=("git://git.gnome.org/gjs#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-  NOCONFIGURE=1 ./autogen.sh
-}
-  
-
-build() {
-  cd $pkgname
-  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
-  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
-  make
-}
-
-check() {
-  cd $pkgname
-  # Needs a display
-  make -k check || :
-}
-
-package() {
-  cd $pkgname
-  make DESTDIR="$pkgdir" install
-}

Copied: gjs/repos/gnome-unstable-x86_64/PKGBUILD (from rev 292689, gjs/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD	                        (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD	2017-04-13 13:35:48 UTC (rev 292690)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Ionut Biru <ibiru at archlinux.org>
+
+pkgname=gjs
+pkgver=1.48.1+1+gced4c15
+pkgrel=1
+pkgdesc="Javascript Bindings for GNOME"
+arch=(i686 x86_64)
+url="http://live.gnome.org/Gjs"
+license=(GPL)
+depends=(cairo gobject-introspection-runtime 'js38' 'gtk3')
+makedepends=('gobject-introspection' 'git' 'gnome-common')
+_commit=ced4c15fc2f308e1e75281261d3ca9911606c337  # gnome-3-24
+source=("git://git.gnome.org/gjs#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  NOCONFIGURE=1 ./autogen.sh
+}
+  
+
+build() {
+  cd $pkgname
+  ./configure --prefix=/usr --disable-static --libexecdir=/usr/lib
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # Needs a display
+  make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}



More information about the arch-commits mailing list